Emacs segmentation fault...

bridged with qdn.public.qnxrtp.applications
Post Reply
ricardo

Emacs segmentation fault...

Post by ricardo » Fri Sep 27, 2002 1:36 pm

Hi. I installed emacs 21.2 from the contributed software repository. It was
complaining about some missing libraries so I installed XFree86 and the
graphic libraries it was asking for. Now it gives me a fatal
error/segmentation fault when I try to execute it. Any assistance is
welcome!!!

- Ricardo

Brian K. Hlady

Re: Emacs segmentation fault...

Post by Brian K. Hlady » Fri Sep 27, 2002 3:27 pm

Good morning,

I forget the relevant posting, but this is a known issue and I believe
Cogent has provided an updated EMACs.

Point your old package installer to the following location:
http://developers.cogentrts.com/repository

Cheers,
-Brian

"ricardo" <ricardo.fsi@attbi.com> wrote in message
news:an1mc7$r83$1@inn.qnx.com...
Hi. I installed emacs 21.2 from the contributed software repository. It
was
complaining about some missing libraries so I installed XFree86 and the
graphic libraries it was asking for. Now it gives me a fatal
error/segmentation fault when I try to execute it. Any assistance is
welcome!!!

- Ricardo



ricardo

Re: Emacs segmentation fault...

Post by ricardo » Fri Sep 27, 2002 4:29 pm

Thanks! That one worked.

BTW, I had installed the emacs in the "Contributed Software Repository" on
the QNX website. That's probably the first one most people try! :o)

Thank you again...

- Ricardo

"Brian K. Hlady" <bhlady@qnx.com> wrote in message
news:an1sob$2gp$1@inn.qnx.com...
Good morning,

I forget the relevant posting, but this is a known issue and I believe
Cogent has provided an updated EMACs.

Point your old package installer to the following location:
http://developers.cogentrts.com/repository

Cheers,
-Brian

"ricardo" <ricardo.fsi@attbi.com> wrote in message
news:an1mc7$r83$1@inn.qnx.com...
Hi. I installed emacs 21.2 from the contributed software repository. It
was
complaining about some missing libraries so I installed XFree86 and the
graphic libraries it was asking for. Now it gives me a fatal
error/segmentation fault when I try to execute it. Any assistance is
welcome!!!

- Ricardo





Andrew Thomas

Re: Emacs segmentation fault...

Post by Andrew Thomas » Thu Oct 03, 2002 10:41 pm

"ricardo" <ricardo.fsi@attbi.com> wrote in message
news:an20gs$56b$1@inn.qnx.com...
Thanks! That one worked.

BTW, I had installed the emacs in the "Contributed Software Repository" on
the QNX website. That's probably the first one most people try! :o)
Unfortunately, the emacs on the CD is built against 6.2Beta4 because the
final build
was not available when the CD was put together. Emacs relies on some
property
of process memory layout (don't ask me - I don't know), which can change
between
QNX6 releases. This has been reported to QSSL, but may not be fixable.
With
every new release of QNX6, emacs might break. It broke between 6.2Beta4 and
6.2 release. The symptom is a segmentation fault on startup.

Andrew

Post Reply

Return to “qdn.public.qnxrtp.applications”